io.vertx.rxjava3

## Interface WriteStreamObserver<R>

- All Superinterfaces:
    Observer<R>

      public interface WriteStreamObserver<R>
      extends Observer<R>

  A `WriteStream` to `Observer` adapter.
  Author:
    Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WriteStreamObserver<R>` | `onError(Consumer<? super Throwable> handler)` Sets the handler to invoke if the `Observable` that was subscribed to terminates with an error.
    `WriteStreamObserver<R>` | `onWriteStreamEnd(Action handler)` Sets the handler to invoke when the adapted `WriteStream` ends successfully.
    `WriteStreamObserver<R>` | `onWriteStreamEndError(Consumer<? super Throwable> handler)` Sets the handler to invoke when the adapted `WriteStream` ends with an error.
    `WriteStreamObserver<R>` | `onWriteStreamError(Consumer<? super Throwable> handler)` Sets the handler to invoke if the adapted `WriteStream` fails.

    - ### Methods inherited from interface io.reactivex.rxjava3.core.Observer

      `onComplete, onError, onNext, onSubscribe`

- - ### Method Detail

    - #### onError

          WriteStreamObserver<R> onError(Consumer<? super Throwable> handler)

      Sets the handler to invoke if the `Observable` that was subscribed to terminates with an error.

      The underlying `WriteStream.end()` method is not invoked in this case.

      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamError

          WriteStreamObserver<R> onWriteStreamError(Consumer<? super Throwable> handler)

      Sets the handler to invoke if the adapted `WriteStream` fails.

      The underlying `WriteStream.end()` method is not invoked in this case.

      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamEnd

          WriteStreamObserver<R> onWriteStreamEnd(Action handler)

      Sets the handler to invoke when the adapted `WriteStream` ends successfully.
      Returns:
        a reference to this, so the API can be used fluently

    - #### onWriteStreamEndError

          WriteStreamObserver<R> onWriteStreamEndError(Consumer<? super Throwable> handler)

      Sets the handler to invoke when the adapted `WriteStream` ends with an error.
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2024 Eclipse. All rights reserved.